def slozh(a1,a2,a3,a4):
	""" Сложение значений четырех аргументов"""
	return a1+a2+a3+a4
print(slozh(1,2,3,4))   # Сложение чисел
print(slozh('1','2','3','4'))  # Сложение строк
b1=[1,2];b2=[-1,-2];b3=[0,2];b4=[-1,-1]
q=slozh(b1,b2,b3,b4)  #Сложение списков
print(q)
tuple1=(1,2);tuple2=(-1,-2);tuple3=(0,2);tuple4=(-1,-1)
print(slozh(tuple1,tuple2,tuple3,tuple4))
dict1={'a':1,'b':2};dict2={'a':-1,'b':-2};dict3={'a':0,'b':2};dict4={'a':-1,'b':-1}
print(slozh(dict1,dict2,dict3,dict4))